#!/usr/bin/env bash

name=acegisecurity
version=1.0.7

wget http://repo1.maven.org/maven2/org/${name}/acegi-security/${version}/acegi-security-${version}-sources.jar

mkdir ${name}-${version}
unzip acegi-security-${version}-sources.jar -d ${name}-${version}

pushd ${name}-${version}
rm -Rf authz.tld  META-INF/
mkdir -p src/main/java/
mv org/ src/main/java/
popd

tar czvf ${name}-${version}.tar.gz ${name}-${version}

